% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Plot_function_for_empirical_distributions.R
\name{Plot_dens}
\alias{Plot_dens}
\title{(alpha,H,sigma)- density plot}
\usage{
Plot_dens(par_vec = c("alpha", "H", "sigma"), MC_data, Nnorm = 1e+07)
}
\arguments{
\item{par_vec}{vector of parameters which are to be plotted}

\item{MC_data}{a list created by \code{\link{MCestimLFSM}}}

\item{Nnorm}{number of point sampled from standard normal distribution}
}
\description{
Plots the densities of the parameters (alpha,H,sigma) estimated in Monte-Carlo experiment.
Works in conjunction with \code{\link{MCestimLFSM}} function.
}
\examples{
\donttest{
m<-45; M<-60

p<-.4; p_prime<-.2
t1<-1; t2<-2; k<-2

NmonteC<-5e2
S<-c(1e3,1e4)
alpha<-.8; H<-0.8; sigma<-0.3
theor_4_1_clt_new<-MCestimLFSM(s=S,fr='L',Nmc=NmonteC,
                       m=m,M=M,
                       alpha=alpha,H=H,sigma=sigma,
                       GenLowEstim,t1=t1,t2=t2,p=p)
l_plot<-Plot_dens(par_vec=c('sigma','alpha','H'), MC_data=theor_4_1_clt_new, Nnorm=1e7)
l_plot

}
}
\seealso{
\code{\link{Plot_vb}}  to plot variance- and bias dependencies on n.
}
